%demo
%
% Red-ball demo.
%
% After running this once, you can restart the demo by simply running
%  redObjectTrack
% 
% If you stop the demo early, use 
%  clear camera
% to turn off the camera.


% Author: Josiah Yoder
% Term: Summer 2014, Winter 2016-2017
% Course: CS498 - Computer Vision
% Assignment: Lab 6 - Camera Geometry

% cameraParams must exist before running this script.
% This line will crash if it doesn't -- so the script fails early.
cameraParams;

% This connects to the camera and grabs an image,
% setting the variables ni and nj
sz = getImageSize();
ni = sz(1);
nj = sz(2);

% parameters
spaceDepthCm = 150;
ballDiameterCm = 5;
figure1Position = [67   200   634   414];
figure2Position = [600   200   450   440];
figure3Position = [64    40   636   361];
       
figure(2)
setpixelposition(gcf,figure2Position)
fc = diag(cameraParams.IntrinsicMatrix(1:2,1:2))';
fc = fliplr(fc); % Convert intrinsic matrice's x y to our x y. 
cc = cameraParams.IntrinsicMatrix(3,1:2);
cc = fliplr(cc); % Convert intrinsic matrice's x y to our x y.
drawSpaceBounds([ni nj],spaceDepthCm,fc,cc);
hold on
hSphere = plotSphere(0,0,75,2.5);
hold off

redObjectTrack
