% function sz = getImageSize()
%
% Capture the video frames using the videoinput function
%
% You can use the source code for this method as a simple example
% of using a webcam.
% 
% When you are done using the camera, you can use clear camera
% to close the connection to the camera cleanly.

% Dr. Yoder, Winter 2014-2015
%
% Winter 2016-2017, Dr Yoder: adapted to use webcam interface instead of image
%   aquisition interface. (The webcam interface seems more stable and
%   is used by the calibration toolbox.)
function sz = getImageSize()

camera = setupCamera();

% Get the snapshot of the current frame
I = snapshot(camera);

[ni,nj,~] = size(I);
sz = [ni, nj];